package config

import "common/config"

const path = "./config"

type Config struct {
	App    *config.AppConfig `yaml:"app"`
	Log    *config.LogConfig `yaml:"log"`
	Client *struct {
		Count     int32                 `yaml:"count"`
		UID       []int32               `yaml:"uid"`
		Websocket *config.AddressConfig `yaml:"websocket"`
	} `yaml:"client"`
}

var cfg *Config

// LoadConfig 加载应用配置
func LoadConfig() error {
	c, err := config.LoadConfig(path, cfg)
	cfg = c
	return err
}

func Get() *Config {
	return cfg
}
